<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('first_name')->nullable();
            $table->string('last_name')->nullable();
            $table->string('dial_code')->nullable();
            $table->string('phone')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer("emirates_id")->nullable();
            $table->integer('city_id')->nullable();
            $table->integer("company_id")->nullable();
            $table->integer("status")->default(0)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn('first_name');
            $table->dropColumn('last_name');
            $table->dropColumn('dial_code');
            $table->dropColumn('phone');
            $table->dropColumn('country_id');
            $table->dropColumn('emirates_id');
            $table->dropColumn('city_id');
            $table->dropColumn('company_id');
            $table->dropColumn('status');
        });
    }
};
